Get an Asset
curl --request GET \
--url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <x-account-id>'import requests
url = "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}"
headers = {
"X-Account-ID": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-ID': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Account-ID: <x-account-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-ID", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}")
.header("X-Account-ID", "<x-account-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Account-ID"] = '<x-account-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"organization_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"organization_name": "Acme Corporation",
"visibility": "inherit",
"owned_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"title": "CTO",
"important": true,
"contact_type": "Decision Maker",
"contact_methods": [
{
"type": "Email",
"value": "john.doe@example.com"
},
{
"type": "Mobile",
"value": "+1-555-0123"
}
],
"preferred_contact_method": "Email",
"references": {
"location": "019983a9-c4c1-7abc-def0-123456789abc"
},
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-20T14:45:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Assets
Get an Asset
Get a specific asset by ID with optional reference expansion
GET
/
v1
/
assets
/
{assetTypeName}
/
{assetId}
Get an Asset
curl --request GET \
--url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId} \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-ID: <x-account-id>'import requests
url = "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}"
headers = {
"X-Account-ID": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-ID': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Account-ID: <x-account-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-ID", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}")
.header("X-Account-ID", "<x-account-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Account-ID"] = '<x-account-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"organization_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
"organization_name": "Acme Corporation",
"visibility": "inherit",
"owned_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"title": "CTO",
"important": true,
"contact_type": "Decision Maker",
"contact_methods": [
{
"type": "Email",
"value": "john.doe@example.com"
},
{
"type": "Mobile",
"value": "+1-555-0123"
}
],
"preferred_contact_method": "Email",
"references": {
"location": "019983a9-c4c1-7abc-def0-123456789abc"
},
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-20T14:45:00.000Z",
"created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
"updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Query Parameters
Response
Asset with dynamic properties from asset type definition spread at root level
Asset with dynamic properties from asset type definition spread at root level
Was this page helpful?